### Method

# Shumate Map go_to_full_with_duration

#### Declaration [src]

    void
    shumate_map_go_to_full_with_duration (
      ShumateMap* self,
      double latitude,
      double longitude,
      double zoom_level,
      guint duration_ms
    )

#### Description [src]

Move from the current position to these coordinates and zoom to the given zoom level. The given duration is used instead of the map’s default `ShumateMap:go-to-duration`. All tiles in the intermediate view WILL be loaded!

#### Parameters

`latitude`

  Type: `double`

  The longitude to center the map at.

`longitude`

  Type: `double`

  The longitude to center the map at.

`zoom_level`

  Type: `double`

  The zoom level to end at.

`duration_ms`

  Type: `guint`

  Animation duration in milliseconds.